#!/bin/bash

# remove old temporary files

rm -f rx.dat >/dev/null 2>&1
rm -f lvl.dat >/dev/null 2>&1
rm -f lvl.bin >/dev/null 2>&1
rm -f adc.bin >/dev/null 2>&1
rm -f raw1.dat >/dev/null 2>&1
rm -f phy1.dat >/dev/null 2>&1
rm -f out.pkt >/dev/null 2>&1
rm -f lvl2.dat >/dev/null 2>&1
rm -f lvl2.bin >/dev/null 2>&1
rm -f raw2.dat >/dev/null 2>&1
rm -f phy2.dat >/dev/null 2>&1
rm -f fft.dat >/dev/null 2>&1

if [ "$1" == "" ]
then
   echo ""
   echo "No file to process specified!"
   echo ""
   exit -1
fi

ls $1 > /dev/null 2>/dev/null

if [ $? -eq 0 ]
then
   echo "Source file OK"
else

   echo ""
   echo "Check filename $1!"
   echo ""

   exit -1

fi


if mkfifo adc.bin 2>/dev/null ; then
   echo ""
else
   echo "Error creating FIFO!"
   exit -1
fi;

cp "$1" adc.bin >/dev/null 2>/dev/null &

echo "Processing $1..."

if ps aux | grep -v "grep" | grep "tlrm"
then
    echo "ERROR: tlmrx is already running. Please use stop.sh script first"
    exit -1
fi

./tlmrx 

# remove temporary files

rm -f rx.dat  > /dev/null 2>&1
rm -f lvl.dat > /dev/null 2>&1
rm -f lvl.bin > /dev/null 2>&1
rm -f adc.bin > /dev/null 2>&1
rm -f raw1.dat >/dev/null 2>&1
rm -f phy1.dat >/dev/null 2>&1
rm -f out.pkt >/dev/null 2>&1
rm -f lvl2.dat >/dev/null 2>&1
rm -f lvl2.bin >/dev/null 2>&1
rm -f raw2.dat >/dev/null 2>&1
rm -f phy2.dat >/dev/null 2>&1
rm -f fft.dat >/dev/null 2>&1


