#!/bin/bash

# remove old temporary files

rm -f rx.dat >/dev/null 2>&1
rm -f lvl.dat >/dev/null 2>&1
rm -f lvl.bin >/dev/null 2>&1
rm -f adc.bin >/dev/null 2>&1
rm -f raw1.dat >/dev/null 2>&1
rm -f phy1.dat >/dev/null 2>&1
rm -f out.pkt >/dev/null 2>&1
rm -f lvl2.dat >/dev/null 2>&1
rm -f lvl2.bin >/dev/null 2>&1
rm -f raw2.dat >/dev/null 2>&1
rm -f phy2.dat >/dev/null 2>&1
rm -f fft.dat >/dev/null 2>&1

if ps aux | grep -v "grep" | grep "arecord" > /dev/null
then
    echo "ERROR: arecord is already running. Please use stop.sh script first"
    exit -1
fi

if ps aux | grep -v "grep" | grep "tlrm"
then
    echo "ERROR: tlmrx is already running. Please use stop.sh script first"
    exit -1
fi

# start arecord to get the sound from sound card to adc.bin

if mkfifo adc.bin 2>/dev/null ; then
   echo ""
else
   echo "Error creating FIFO!"
   exit -1
fi;

if arecord --version >/dev/null 2>/dev/null ; then
   echo ""
else
   echo "Error! Check arecord is installed!"
   exit -1
fi;

arecord -r 8000 -f S16_LE -t raw -c 1 -D default adc.bin &

./tlmrx 

# remove temporary files

rm -f rx.dat  > /dev/null 2>&1
rm -f lvl.dat > /dev/null 2>&1
rm -f lvl.bin > /dev/null 2>&1
rm -f adc.bin > /dev/null 2>&1
rm -f raw1.dat >/dev/null 2>&1
rm -f phy1.dat >/dev/null 2>&1
rm -f out.pkt >/dev/null 2>&1
rm -f lvl2.dat >/dev/null 2>&1
rm -f lvl2.bin >/dev/null 2>&1
rm -f raw2.dat >/dev/null 2>&1
rm -f phy2.dat >/dev/null 2>&1
rm -f fft.dat >/dev/null 2>&1


